APCUIterator::rewind
APD
APCUIterator
PHP Manual

# APCUIterator::valid

(PECL apcu >= 5.0.0)

APCUIterator::valid — Checks if current position is valid

### Description

public void APCUIterator::valid ( void )

Checks if the current iterator position is valid.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the current iterator position is valid, otherwise `FALSE`.

### See Also

- APCUIterator::current() - Get current item
- Iterator::valid() - Checks if current position is valid

APCUIterator::rewind
APD
APCUIterator
PHP Manual